package main

import (
	"Ic_ouath/app"
	"Ic_ouath/global"
	"Ic_ouath/nats"
	_ "Ic_ouath/nats"
	"log"
)

func init() {
	err := global.SetupSetting()
	if err != nil {
		log.Fatalf("init.SetupSetting err: %v", err)
	}
	err = global.SetupDBLink()
	if err != nil {
		log.Fatalf("init.SetupDBLink err: %v", err)
	}
	nats.SetupNats()
}
func main() {
	err := app.InitRouter()
	if err != nil {
	}
}
